# cc_string_f Struct Reference

## Detailed Description

Function pointer table for cc_string_t. For more information see cc_string_t Overview.

## Data Fields

- cc_int32(* release )(cc_string_t io_string)
    cc_string_release(): Release memory associated with a cc_string_t object.

## Field Documentation

cc_int32(* release)(cc_string_t io_string)

cc_string_release(): Release memory associated with a cc_string_t object.

Parameters:

  | io_string | the string object to release.

Returns:
  On success, ccNoError. On failure, an error code representing the failure.